
Redmine - Defect #42245

5.1-stable: Redmine fails to start with error: Unknown database adapter `"mysql2"` found in

config/database.yml

2025-02-10 02:37 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 5.1.7   

Resolution: Fixed Affected version:  

Description

The fix for #42013 made in trunk r23408 was supposed to be merged into 5.1.6 in r23410, but in fact, it was not properly merged, so

the issue remains unresolved in 5.1.6.

This issue was reported by ken takahashi (ken takahashi) in #42013#note-10.

Related issues:

Related to Redmine - Defect #42013: Redmine fails to start with error: Unknow... Closed

Associated revisions

Revision 23518 - 2025-03-02 08:25 - Go MAEDA

Merged r23408 from trunk to 5.1-stable (#42245, #42013).

History

#1 - 2025-02-10 02:37 - Go MAEDA

- Related to Defect #42013: Redmine fails to start with error: Unknown database adapter `"mysql2"` found in config/database.yml added

#2 - 2025-03-02 08:26 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Merged the fix made in r23408 into the 5.1-stable branch.
